For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList group quote intents
      • POSTCreate a group quote intent
      • GETRetrieve a group quote intent
      • GETList requirements for a group quote intent
      • GETRetrieve the quote for a group quote intent
      • POSTReject a group quote intent
    • API Errors
Get access
LogoLogo
API ReferenceGroup Quote Intents

Retrieve a group quote intent

GET
/group_quote_intents/:groupQuoteIntentId
GET
/group_quote_intents/:groupQuoteIntentId
$curl https://test.api.kota.io/group_quote_intents/gqi_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "gqi_3b1333d87d9d4fd6ad83ba7f6b0e951a",
3 "group_id": "gr_9f8b7c6d5e4a3b2c1d0f9e8d7c6b5a4f",
4 "plan_id": "pl_1a2b3c4d5e6f7g8h9i0jklmnopqrstuv",
5 "status": "processing",
6 "consent_links": [
7 {
8 "type": "terms_of_business",
9 "url": "https://kota.io/consents/terms-of-business/v2.1",
10 "version": "2.1"
11 }
12 ],
13 "disclosures": [
14 {
15 "category": "regulatory",
16 "type": "intermediary_role",
17 "text": "This intermediary acts as a broker and does not underwrite the insurance policies."
18 }
19 ],
20 "object": "group_quote_intent"
21}

Retrieves a group_quote_intent object.

Previous

Create a group quote intent

Next

List requirements for a group quote intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

groupQuoteIntentIdstringRequiredformat: "gqi_.+"

Response

OK
idstringformat: "gqi_.+"
Unique identifier for the group quote intent
group_idstringformat: "gr_.+"
Unique identifier for the group
plan_idstringformat: "pl_.+"
Unique identifier for the plan
statusenum
Current status of the group quote intent
consent_linkslist of objects
Consent links that need to be acknowledged
disclosureslist of objects
Disclosures associated with this intent.
cost_sharingobject
Cost sharing configuration for the quote
objectstringRead-only
Object type identifier

Errors

404
Not Found Error